#### D.14.1.8 arrSwapVar

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrSwapVar(A, i, j); arr A, ring_variables/integers i,j

Return:
  [arr] A where variables i and j are swapped.

Note:
  if i and/or j are integers the algorithm considers the variables variables(A)[i] and/or variables(A)[j]

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),lp;
    arr A  = ideal(x+1,x+y,z);
    arrSwapVar(A,x,z);
    ==> _[1]=z+1
    ==> _[2]=y+z
    ==> _[3]=x
    ==>

See also: arrLastVar; arrSwapVar; varMat; varNum.

User manual for Singular version 4.4.1, 2025, generated by texi2html.